org.apache.lucene.util.packed

## Class DirectMonotonicReader

- java.lang.Object
- - org.apache.lucene.util.packed.DirectMonotonicReader

    public final class DirectMonotonicReader
    extends Object

Retrieves an instance previously written by `DirectMonotonicWriter`.

See Also:
  `DirectMonotonicWriter`

### Nested Class Summary

Nested Classes
`static class` `DirectMonotonicReader.Meta` In-memory metadata that needs to be kept around for `DirectMonotonicReader` to read data from disk.

### Constructor Summary

Constructors
Constructor and Description
`DirectMonotonicReader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static LongValues` `getInstance(DirectMonotonicReader.Meta meta, RandomAccessInput data)` Retrieves an instance from the specified slice.
`static DirectMonotonicReader.Meta` `loadMeta(IndexInput metaIn, long numValues, int blockShift)` Load metadata from the given `IndexInput`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectMonotonicReader

    public DirectMonotonicReader()

### Method Detail

#### loadMeta

    public static DirectMonotonicReader.Meta loadMeta(IndexInput metaIn,
                                                      long numValues,
                                                      int blockShift)
                                               throws IOException

Load metadata from the given `IndexInput`.

Throws:
  `IOException`
See Also:
  `getInstance(Meta, RandomAccessInput)`

#### getInstance

    public static LongValues getInstance(DirectMonotonicReader.Meta meta,
                                         RandomAccessInput data)
                                  throws IOException

Retrieves an instance from the specified slice.

Throws:
  `IOException`